var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var MODULO = "Cuestionarios";

var onLoad=true;





function onLoadPage() {	

	

	 cargarTerritoriosLauncher();

	 territorioChange();



	//Si volvemos desde el listado y a la ida hemos seleccionado provincia y/o municpio, los volvemos a poner

	if(document.forms["formFiltroUsuarios"].elements["filtro(codProv)"].value!=""){

		document.forms["formFiltroUsuarios"].elements["filtro(codProvincia)"].value=document.forms["formFiltroUsuarios"].elements["filtro(codProv)"].value;

		/*cargarMunicipiosLauncher();

		if(document.forms["formFiltroUsuarios"].elements["filtro(codMuni)"].value!=""){

			document.forms["formFiltroUsuarios"].elements["filtro(codMunicipio)"].value=document.forms["formFiltroUsuarios"].elements["filtro(codMuni)"].value;

		}*/

	}

	

	

	document.all["filtro(nombre)"].focus();	

	onLoad=false;

}





function ponAccion(key){

	document.forms["formFiltroUsuarios"].accion.value=key;

	document.forms["formFiltroUsuarios"].submit();

}



function submmitFormulario(key){

	document.forms["formFiltroUsuarios"].submit();

}





function territorioChange(){	



	if(!onLoad)

		document.forms["formFiltroUsuarios"].elements["filtro(codProv)"].value=document.forms["formFiltroUsuarios"].elements["filtro(codProvincia)"].value;

	/*limpiarComboMunicipios();

	if(document.forms["formFiltroUsuarios"].elements["filtro(codProvincia)"].value!="")

		cargarMunicipiosLauncher();*/	

}



function municipioChange(){	

	if(!onLoad)

		document.forms["formFiltroUsuarios"].elements["filtro(codMuni)"].value=document.forms["formFiltroUsuarios"].elements["filtro(codMunicipio)"].value;

}



function limpiarComboMunicipios(){

	if(!onLoad)

		document.forms["formFiltroUsuarios"].elements["filtro(codMuni)"].value="";

	document.all["filtro(codMunicipio)"].options.length=0;

	addOption(document.forms["formFiltroUsuarios"].elements["filtro(codMunicipio)"],"",0);

}



function cargarTerritoriosLauncher(){

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "filtro(codProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

	anadirOpcionTodos(document.all["filtro(codProvincia)"]);

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formFiltroUsuarios"].elements["filtro(codProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(codMunicipio)", where, "false", true, "ds_o", "ASC");

	anadirOpcionTodos(document.all["filtro(codMunicipio)"]);



	if(document.forms["formFiltroUsuarios"].elements["filtro(codProv)"].value=="-1")//Si ha seleccionado TODOS en provicnicas, quitamos la opción blanca de lo smunicipios

		document.all["filtro(codMunicipio)"].remove(0);

}





function anadirOpcionTodos(combo){

	var newOption = document.createElement('<option value="-1">');

    combo.options.add(newOption);

    newOption.innerText = opcionTodos;

}